> For the complete documentation index, see [llms.txt](https://docs.chatbees.ai/chatbees/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chatbees.ai/chatbees/api-references/collection-operations/list-collections.md).

# List Collections

## List Collections

You can see list of collections you have access to. For example, this list will include the public read-only collections, as well as all collections that were created using the currently configured API key.

{% tabs %}
{% tab title="HTTP" %}

```
POST /collections/list HTTP/1.1
Api-Key: my_api_key
Content-Type: application/json
Host: my_account_id.us-west-2.aws.chatbees.ai

{
  "namespace_name": "string"
}

Response:
{
  "names": [
    "string"
  ]
}

```

{% endtab %}

{% tab title="Python" %}

```
import chatbees as cb

# Configure to use the API key
cb.init(api_key="my_api_key", account_id="my_account_id")

# List collections
collections = [col.name for col in cb.list_collections()]

# returns custom_collection
print(collections)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.chatbees.ai/chatbees/api-references/collection-operations/list-collections.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
